<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");

	$CboAlm=V($_GET['CboAlm']);
	$TxtCod=V($_GET['TxtCod']);
	$TxtDes=V($_GET['TxtDes']);
	$CboMar=V($_GET['CboMar']);
	$CboSto=V($_GET['CboSto']);
	$CboLin=V($_GET['CboLin']);
	//-------------------------
	if(strlen($CboSto)==0){$CboSto="TODOS";}
	if($CboSto=="TODOS"){$StrSto="STOCK LIKE '%'";}
	if($CboSto=="MAYOR A CERO"){$StrSto="STOCK>0";}
	if($CboSto=="IGUAL A CERO"){$StrSto="STOCK=0";}
	if($CboSto=="MENOR A CERO"){$StrSto="STOCK<0";}

	$StrLinT=VCbo($CboLin);
	$StrMarT=VCbo($CboMar);

	$StrCodT=$TxtCod."%";
	$StrDesT=$TxtDes."%";

	$FF="ID>0 
	AND ALM LIKE '$CboAlm'
	AND COD LIKE '$StrCodT'  
	AND DESCRIPCION LIKE '$StrDesT' 
	AND MARCA LIKE '$StrMarT'
	AND LINEA LIKE '$StrLinT'
	AND $StrSto ";
//-------------------------------------------------------------------------------------------------------------------------
	$ET=chr(13).chr(10);
	//
	$_PAGINA=1;
	$_FECHA=date("d-m-y");
	$_HORA=date("H:i:s");
	//
	$R_C=$_FECHA."_".str_replace(":","-",$_HORA);	
	$R_F="rpt_stock"."_".$R_C.".txt";
	//
	if ($file = fopen($R_F,"wb")) {
		$L=0;
		$StrL="".vbfill(" ",100)."Pag  1";fputs($file,$StrL.$ET);$L++;
		$StrL=vbl("FEC. REPORTE".vbfill(" ",15),15)." : ".$_FECHA." ".$_HORA;fputs($file,$StrL.$ET);$L++;	
		$StrL=vbl("REPORTE".vbfill(" ",15),15)." : "."REPORTE DE STOCK";
		fputs($file,$StrL.$ET);$L++;
		$StrL=vbfill("*",106);
		fputs($file,$StrL.$ET);$L++;		
		if(strlen($CboAlm)>0){
			$StrL=vbl("ALMACEN".vbfill(" ",15),15)." : ".$CboAlm;
			fputs($file,$StrL.$ET);$L++;	
		}
		if(strlen($TxtCod)>0){
			$StrL=vbl("CODIGO".vbfill(" ",15),15)." : ".$TxtCod;
			fputs($file,$StrL.$ET);$L++;	
		}
		if(strlen($TxtDes)>0){
			$StrL=vbl("DESCRIPCION".vbfill(" ",15),15)." : ".$TxtDes;
			fputs($file,$StrL.$ET);$L++;	
		}
		if(strlen($CboMar)>0){
			$StrL=vbl("MARCA".vbfill(" ",15),15)." : ".$CboMar;
			fputs($file,$StrL.$ET);$L++;	
		}
		if(strlen($CboLin)>0){
			$StrL=vbl("LINEA".vbfill(" ",15),15)." : ".$CboLin;
			fputs($file,$StrL.$ET);$L++;	
		}
		if(strlen($CboSto)>0){
			$StrL=vbl("STOCK".vbfill(" ",15),15)." : ".$CboSto;
			fputs($file,$StrL.$ET);$L++;	
		}
		//
		$StrL=vbfill("-",106);fputs($file,$StrL.$ET);$L++;	

		$StrL=vbl("CODIGO".vbfill(" ",20),20);
		$StrL=$StrL." ".vbl("DESCRIPCION".vbfill(" ",35),35);
		$StrL=$StrL." ".vbl("MARCA".vbfill(" ",20),20);
		$StrL=$StrL." ".vbl("LINEA".vbfill(" ",17),17);
		$StrL=$StrL." ".vbr(vbfill(" ",10)."STOCK",10);

		fputs($file,$StrL.$ET);$L++;
		$StrL=vbfill("-",106);fputs($file,$StrL.$ET);$L++;
//-------------------------------------------------------------------------------------------------------------------------
	$TOT_S=0;
   //$IdAlm=gn("id_almacen","almacenes","alm_nombre='$CboAlm'");		  	
    $s="SELECT ID,COD,LINEA,DESCRIPCION,MARCA,LINEA,STOCK 
        FROM v_stocks WHERE ".$FF."	ORDER BY DESCRIPCION,MARCA,LINEA ";
	function CAB(&$file,&$L,$ET,&$_PAGINA){
		if($L%55==0){
			$StrL=vbfill("-",106);fputs($file,$StrL.$ET);		
			fputs($file,$ET.$ET.$ET);
			//
			$_PAGINA++;		
			//
			$STR_PAG=" Pag ".$_PAGINA;
			$StrL=vbfill("-",106-strlen($STR_PAG)).$STR_PAG;fputs($file,$StrL.$ET);$L++;	
			$StrL=vbl("CODIGO".vbfill(" ",20),20);
			$StrL=$StrL." ".vbl("DESCRIPCION".vbfill(" ",35),35);
			$StrL=$StrL." ".vbl("MARCA".vbfill(" ",20),20);
			$StrL=$StrL." ".vbl("LINEA".vbfill(" ",17),17);
			$StrL=$StrL." ".vbr(vbfill(" ",10)."STOCK",10);
			fputs($file,$StrL.$ET);$L++;
			$StrL=vbfill("-",106);fputs($file,$StrL.$ET);$L++;
		}	
	}
	//								
	$result = grs($s);
	while ($row = $result->fetch_row()){		
			$StrL=vbl($row[1].vbfill(" ",20),20);
			$StrL=$StrL." ".vbl($row[3].vbfill(" ",35),35);
			$StrL=$StrL." ".vbl($row[4].vbfill(" ",20),20);
			$StrL=$StrL." ".vbl($row[5].vbfill(" ",17),17);
			$StrL=$StrL." ".vbr(vbfill(" ",10).$row[6],10);
			//
			$TOT_S=$TOT_S+$row[6];
			//
			fputs($file,$StrL.$ET);$L++;
			CAB($file,$L,$ET,$_PAGINA);			
	}
//-------------------------------------------------------------------------------------------------------------------------
		$StrL=vbfill("=",106);fputs($file,$StrL.$ET);$L++;	
		$StrL=vbr(vbfill(" ",90)."TOTAL STOCK",90)." ".vbr(vbfill(" ",15).$TOT_S,15);
		fputs($file,$StrL.$ET);$L++;
		//$StrL=vbr(vbfill(" ",83)."TOTAL SALDO",83)." ".vbr(vbfill(" ",15).NF2($TOT_S,2),15);
		//fputs($file,$StrL.$ET);$L++;	
		//		
		fclose($file);
		echo "<a href='$R_F' class='Ln' download>Descargar</a>"; 
	}else{
		echo "";
	}
	//
?>